org.hibernate.search.elasticsearch.work.impl

## Class SimpleElasticsearchWork.Builder<B>

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder<B>

- Direct Known Subclasses:
    ClearScrollWork.Builder, CloseIndexWork.Builder, CreateIndexWork.Builder, DropIndexWork.Builder, ES2DeleteByQueryWork.Builder, ES2FlushWork.Builder, ES2OptimizeWork.Builder, ES5DeleteByQueryWork.Builder, ES5FlushWork.Builder, ES5OptimizeWork.Builder, ExplainWork.Builder, GetIndexSettingsWork.Builder, GetIndexTypeMappingsWork.Builder, IndexExistsWork.Builder, OpenIndexWork.Builder, PutIndexSettingsWork.Builder, PutIndexTypeMappingWork.Builder, RefreshWork.Builder, ScrollWork.Builder, SearchWork.Builder, SimpleBulkableElasticsearchWork.Builder, WaitForIndexStatusWork.Builder
  Enclosing class:
    SimpleElasticsearchWork<R>

      protected abstract static class SimpleElasticsearchWork.Builder<B>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected URLEncodedString` | `dirtiedIndexName`
    `protected LuceneWork` | `luceneWork`
    `protected boolean` | `markIndexDirty`
    `protected ElasticsearchRequestSuccessAssessor` | `resultAssessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(URLEncodedString dirtiedIndexName, ElasticsearchRequestSuccessAssessor resultAssessor)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ElasticsearchWork<?>` | `build()`
    `protected abstract ElasticsearchRequest` | `buildRequest()`
    `B` | `luceneWork(LuceneWork luceneWork)`
    `B` | `markIndexDirty(boolean markIndexDirty)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dirtiedIndexName

          protected final URLEncodedString dirtiedIndexName

    - #### resultAssessor

          protected ElasticsearchRequestSuccessAssessor resultAssessor

    - #### luceneWork

          protected LuceneWork luceneWork

    - #### markIndexDirty

          protected boolean markIndexDirty

  - ### Constructor Detail

    - #### Builder

          public Builder(URLEncodedString dirtiedIndexName,
                         ElasticsearchRequestSuccessAssessor resultAssessor)

  - ### Method Detail

    - #### luceneWork

          public B luceneWork(LuceneWork luceneWork)

    - #### markIndexDirty

          public B markIndexDirty(boolean markIndexDirty)

    - #### buildRequest

          protected abstract ElasticsearchRequest buildRequest()

    - #### build

          public abstract ElasticsearchWork<?> build()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved